Attribute VB_Name = "modLoadProfile"
' Used to Load profiles

Public Function SetDefaultProfile()
    ' If no profile is found use this one
End Function
Public Function LoadProfile(sProfileName As String)

    ' Clean up any previous lists
    ClearTabs

    Dim i As Integer
    Dim sLine As String
    Dim sWord() As String
    ' Free file access
    i = FreeFile
    Open App.Path & "\profiles\" & sProfileName For Input As #i
        Do While EOF(i) = False
            ' Load the line
            Input #i, sLine
            ' Split the line by seperating the = values
            sWord() = Split(sLine, "=", -1, vbTextCompare)
            '
            If UBound(sWord) > 0 Then
                With frmMain
                    Select Case sWord(0)
                        Case "PN" ' Profile Name
                            frmProfile.txtPName.Text = sWord(1)
                        Case "PC" ' Profile Class
                            frmProfile.txtPClass.Text = sWord(1)
                        Case "T1N" ' Tab 1 name
                            .sTab.TabCaption(0) = sWord(1)
                            frmProfile.txtTab1Name.Text = sWord(1)
                            frmProfile.sTab.TabCaption(1) = sWord(1)
                        Case "T2N" ' Tab 2 Name
                            .sTab.TabCaption(1) = sWord(1)
                            frmProfile.txtTab2Name.Text = sWord(1)
                            frmProfile.sTab.TabCaption(2) = sWord(1)
                        Case "T3N" ' Tab 3 Name
                            .sTab.TabCaption(2) = sWord(1)
                            frmProfile.sTab.TabCaption(3) = sWord(1)
                            frmProfile.txtTab3Name.Text = sWord(1)
                        Case "T1" ' Spell and Keybinding onto Tab 1
                            .lsBM.ListItems.Add , , sWord(2) ' Keybinding
                            .lsBM.ListItems.Item(.lsBM.ListItems.Count).ListSubItems.Add , , sWord(1) ' Spell name
                            .lsBM.ListItems.Item(.lsBM.ListItems.Count).Checked = sWord(3) ' Checked?
                            frmProfile.lsTab1.ListItems.Add , , sWord(2)
                            frmProfile.lsTab1.ListItems.Item(frmProfile.lsTab1.ListItems.Count).ListSubItems.Add , , sWord(1)
                            frmProfile.lsTab1.ListItems.Item(frmProfile.lsTab1.ListItems.Count).Checked = sWord(3) ' Checked?
                          Case "T2" ' Spell and Keybinding onto Tab 1
                            .lsMM.ListItems.Add , , sWord(2) ' Keybinding
                            .lsMM.ListItems.Item(.lsMM.ListItems.Count).ListSubItems.Add , , sWord(1) ' Spell name
                            .lsMM.ListItems.Item(.lsMM.ListItems.Count).Checked = sWord(3) ' Checked?
                            frmProfile.lsTab2.ListItems.Add , , sWord(2)
                            frmProfile.lsTab2.ListItems.Item(frmProfile.lsTab2.ListItems.Count).ListSubItems.Add , , sWord(1)
                            frmProfile.lsTab2.ListItems.Item(frmProfile.lsTab2.ListItems.Count).Checked = sWord(3)
                        Case "T3" ' Spell and Keybinding onto Tab 1
                            .lsSV.ListItems.Add , , sWord(2) ' Keybinding
                            .lsSV.ListItems.Item(.lsSV.ListItems.Count).ListSubItems.Add , , sWord(1) ' Spell name
                            .lsSV.ListItems.Item(.lsSV.ListItems.Count).Checked = sWord(3) ' Checked?
                            frmProfile.lsTab3.ListItems.Add , , sWord(2)
                            frmProfile.lsTab3.ListItems.Item(frmProfile.lsTab3.ListItems.Count).ListSubItems.Add , , sWord(1)
                            frmProfile.lsTab3.ListItems.Item(frmProfile.lsTab3.ListItems.Count).Checked = sWord(3)
                        Case "TR" ' Rotation List
                            .lsRotation.ListItems.Add , , .lsRotation.ListItems.Count + 1 ' Attack Order
                            .lsRotation.ListItems.Item(.lsRotation.ListItems.Count).Checked = sWord(3)
                            .lsRotation.ListItems.Item(.lsRotation.ListItems.Count).ListSubItems.Add , , sWord(1) ' Name
                            .lsRotation.ListItems.Item(.lsRotation.ListItems.Count).ListSubItems.Add , , sWord(2) ' Keybinding
                            frmProfile.lsRotation.ListItems.Add , , frmProfile.lsRotation.ListItems.Count + 1 ' Attack Order
                            frmProfile.lsRotation.ListItems.Item(.lsRotation.ListItems.Count).Checked = sWord(3)
                            frmProfile.lsRotation.ListItems.Item(.lsRotation.ListItems.Count).ListSubItems.Add , , sWord(1) ' Name
                            frmProfile.lsRotation.ListItems.Item(.lsRotation.ListItems.Count).ListSubItems.Add , , sWord(2) ' Keybinding
                        Case "RAS" 'Reapply serpent sting?
                            .chkSerpent.Value = sWord(2) ' On/off
                            .txtSerpent.Text = sWord(1) ' Delay time
                            .txtstopcast.Text = sWord(3) ' stop casting key
                        Case "GSB" ' GSBar addon?
                            .chkGSBar.Value = sWord(2) ' on/off
                            .txtGSBar.Text = sWord(1) ' gsbar macro key
                            frmProfile.chkGSBar.Value = sWord(2)
                            frmProfile.txtGSBar.Text = sWord(1)
                        Case "DBP" ' Delay between keypresses
                            .txtDelay.Text = sWord(1) ' delay in ms
                            frmProfile.txtDelay.Text = sWord(1)
                        Case "WTB" ' Warcraft Titlebar
                            .txtWoW.Text = sWord(1)
                        Case "ACK" ' Activation Key
                            .txtACK.Text = sWord(1)
                            frmProfile.txtACK.Text = sWord(1)
                    End Select
                End With
            End If
        Loop
    Close #i
End Function

Public Function ListProfiles()
    
' Clear Profiles
    With frmMain
        If .lsProfile.ListItems.Count > 1 Then
            For X = 1 To .lsProfile.ListItems.Count
                .lsProfile.ListItems.Remove 1
            Next X
        End If
    End With
'
    
    Dim i As Integer
    Dim sLine As String
    Dim sWord() As String
    ' Free file access
    i = FreeFile
    For X = 0 To frmMain.flbFile.ListCount - 1
        Open App.Path & "\profiles\" & frmMain.flbFile.List(X) For Input As #i
            Do While EOF(i) = False
                ' Load the line
                Input #i, sLine
                ' Split the line by seperating the = values
                sWord() = Split(sLine, "=", -1, vbTextCompare)
                '
                If UBound(sWord) > 0 Then
                    With frmMain
                        Select Case sWord(0)
                            Case "PN" ' Profile Name
                                .lsProfile.ListItems.Add
                                .lsProfile.ListItems.Item(.lsProfile.ListItems.Count).ListSubItems.Add
                                .lsProfile.ListItems.Item(.lsProfile.ListItems.Count).ListSubItems.Add , , sWord(1)
                            Case "PC" ' Profile Class
                                .lsProfile.ListItems.Item(.lsProfile.ListItems.Count).ListSubItems(1).Text = sWord(1)
                        End Select
                    End With
                End If
            Loop
        Close #i
    Next X
End Function

Public Function ClearTabs()
    ' Main Form
    With frmMain
        If .lsBM.ListItems.Count > 1 Then
            For X = 1 To .lsBM.ListItems.Count
                .lsBM.ListItems.Remove 1
            Next X
        End If
        If .lsMM.ListItems.Count > 1 Then
            For X = 1 To .lsMM.ListItems.Count
                .lsMM.ListItems.Remove 1
            Next X
        End If
        If .lsSV.ListItems.Count > 1 Then
            For X = 1 To .lsSV.ListItems.Count
                .lsSV.ListItems.Remove 1
            Next X
        End If
        If .lsRotation.ListItems.Count > 1 Then
            For X = 1 To .lsRotation.ListItems.Count
                .lsRotation.ListItems.Remove 1
            Next X
        End If
    End With
    
    ' Profile Form
    With frmProfile
        If .lsTab1.ListItems.Count > 1 Then
            For X = 1 To .lsTab1.ListItems.Count
                .lsTab1.ListItems.Remove 1
            Next X
        End If
        If .lsTab2.ListItems.Count > 1 Then
            For X = 1 To .lsTab2.ListItems.Count
                .lsTab2.ListItems.Remove 1
            Next X
        End If
        If .lsTab3.ListItems.Count > 1 Then
            For X = 1 To .lsTab3.ListItems.Count
                .lsTab3.ListItems.Remove 1
            Next X
        End If
        If .lsRotation.ListItems.Count > 1 Then
            For X = 1 To .lsRotation.ListItems.Count
                .lsRotation.ListItems.Remove 1
            Next X
        End If
    End With
    
End Function
